
const axios = require('axios');

const url = 'https://open.feishu.cn/open-apis/bot/v2/hook/18dfe21f-b1bd-46ca-a8c7-c85e1c84f02d'

const sendMessage = async (...params) => {
    var log = '环境:'+process.env.NODE_ENV +' ----> ';
    for (let index = 0; index < params.length; index++) {
        log = log.concat(params[index].toString())
    }
    params = log;
    console.log('sendMessage', log)
    var data = {
        msg_type: "text",
        content: { text: params }
    }
    axios.post(url, data)
        .then(res => {
            console.log('res=>', res.status, res.data);
        }).catch(err => {
            console.error('http_request_post error ', err);
        });
}

module.exports = {
    sendMessage
}